|  | Home · All Classes · Modules

# QDragMoveEvent Class Reference
[QtGui module]

The QDragMoveEvent class provides an event which is sent while a drag and drop action is in progress. More...

Inherits QDropEvent.

Inherited by QDragEnterEvent.

### Methods

- __init__ (self, QPoint, Qt.DropActions, QMimeData, Qt.MouseButtons, Qt.KeyboardModifiers, QEvent.Type type = QEvent.DragMove)
- __init__ (self, QDragMoveEvent)
- accept (self)
- accept (self, QRect)
- QRect answerRect (self)
- ignore (self)
- ignore (self, QRect)

## Detailed Description

The QDragMoveEvent class provides an event which is sent while a drag and drop action is in progress.

A widget will receive drag move events repeatedly while the drag is within its boundaries, if it accepts drop events and enter events. The widget should examine the event to see what kind of data it provides, and call the accept() function to accept the drop if appropriate.

The rectangle supplied by the answerRect() function can be used to restrict drops to certain parts of the widget. For example, we can check whether the rectangle intersects with the geometry of a certain child widget and only call acceptProposedAction() if that is the case.

Note that this class inherits most of its functionality from QDropEvent.

See also QDragEnterEvent, QDragLeaveEvent, and QDropEvent.

## Method Documentation

### QDragMoveEvent.__init__ (self, QPoint, Qt.DropActions, QMimeData, Qt.MouseButtons, Qt.KeyboardModifiers, QEvent.Type type = QEvent.DragMove)

Creates a QDragMoveEvent of the required type indicating that the mouse is at position pos given within a widget.

The mouse and keyboard states are specified by buttons and modifiers, and the actions describe the types of drag and drop operation that are possible. The drag data is passed as MIME-encoded information in data.

Warning: Do not attempt to create a QDragMoveEvent yourself. These objects rely on Qt's internal state.

### QDragMoveEvent.__init__ (self, QDragMoveEvent)

### QDragMoveEvent.accept (self)

The same as accept(), but also notifies that future moves will also be acceptable if they remain within the rectangle given on the widget. This can improve performance, but may also be ignored by the underlying system.

If the rectangle is empty, drag move events will be sent continuously. This is useful if the source is scrolling in a timer event.

### QDragMoveEvent.accept (self, QRect)

### QRect QDragMoveEvent.answerRect (self)

Returns the rectangle in the widget where the drop will occur if accepted. You can use this information to restrict drops to certain places on the widget.

### QDragMoveEvent.ignore (self)

The opposite of the accept(const QRect&) function. Moves within the rectangle are not acceptable, and will be ignored.

### QDragMoveEvent.ignore (self, QRect)

This is an overloaded function.

Calls QDropEvent.ignore().